#include <string>
#include "format.h"
#include <iostream>
#include <clocale>

void main() {
  std::setlocale( LC_ALL, "");
  std::cout << text::format( "%'f", 1000000.0) << std::endl
            << text::format( "%'d", 2100300) << std::endl
            << text::format( "%u", (unsigned int) 0xffffffff) << std::endl
            << text::format( "%d", (signed int) 0xffffffff) << std::endl;
}
